summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-08-29 16:31:34 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-09-01 13:16:04 +0000
commit41d15bf46ae8339fe41e2958743447bc8bd5fcbb (patch)
tree33f1dd1bc8da25a78718c148d754c08a7566ab5f
parented6ed6b79cf843c6de75396aebc9267c7f8553b7 (diff)
downloaddefinitions-41d15bf46ae8339fe41e2958743447bc8bd5fcbb.tar.gz
Add gerrit configuration extension
-rwxr-xr-xgerrit.configure30
-rw-r--r--systems/gerrit-x86_64.morph1
2 files changed, 31 insertions, 0 deletions
diff --git a/gerrit.configure b/gerrit.configure
new file mode 100755
index 00000000..31949d2d
--- /dev/null
+++ b/gerrit.configure
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+#
+# This is a "morph deploy" configuration extension to enable bash
+# as default shell in gerrit systems.
+set -e
+
+ROOT="$1"
+
+##########################################################################
+
+set -e
+
+# Set bash as default shell
+ln -sfn "$1/bin/bash" "$1/bin/sh"
diff --git a/systems/gerrit-x86_64.morph b/systems/gerrit-x86_64.morph
index 8220538b..fdc18bca 100644
--- a/systems/gerrit-x86_64.morph
+++ b/systems/gerrit-x86_64.morph
@@ -32,3 +32,4 @@ configuration-extensions:
- nfsboot
- install-files
- cloud-init
+- gerrit